/******************************************************************************/
/*                                                                            */
/*  Cedocida DV-Codec                                                         */
/*                                                                            */
/*  Copyright (C) 2005 Andreas Dittrich <dittrich@cithraidt.de>               */
/*  Project start: 15.12.2003                                                 */
/*  Last change  : 08.05.2005                                                 */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/*  This program is free software; you can redistribute it and/or modify      */
/*  it under the terms of the GNU General Public License as published by      */
/*  the Free Software Foundation; either version 2 of the License, or         */
/*  (at your option) any later version.                                       */
/*                                                                            */
/*  This program is distributed in the hope that it will be useful,           */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/*  GNU General Public License for more details.                              */
/*                                                                            */
/*  You should have received a copy of the GNU General Public License         */
/*  along with this program; if not, write to the Free Software               */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                            */
/******************************************************************************/


typedef void (DCT_Func) (int16_t const *inp, int16_t *out);
typedef DCT_Func *DCT_FuncPtr;




extern "C" DCT_Func idct_248_mmx_ad;
extern "C" DCT_Func idct_mmx;

#define idct_88 idct_mmx
// todo: add rounding after col operation
#define idct_248 idct_248_mmx_ad


extern "C" DCT_Func dct_88_weighted_mmx_ad;
extern "C" DCT_Func dct_248_weighted_mmx_ad;

#define dct_88_weighted dct_88_weighted_mmx_ad
#define dct_248_weighted dct_248_weighted_mmx_ad
