/******************************************************************************/
/*                                                                            */
/*  Cedocida DV-Codec                                                         */
/*                                                                            */
/*  Copyright (C) 2005 Andreas Dittrich <dittrich@cithraidt.de>               */
/*  Project start: 15.12.2003                                                 */
/*  Last change  : 08.05.2005                                                 */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/*  This program is free software; you can redistribute it and/or modify      */
/*  it under the terms of the GNU General Public License as published by      */
/*  the Free Software Foundation; either version 2 of the License, or         */
/*  (at your option) any later version.                                       */
/*                                                                            */
/*  This program is distributed in the hope that it will be useful,           */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/*  GNU General Public License for more details.                              */
/*                                                                            */
/*  You should have received a copy of the GNU General Public License         */
/*  along with this program; if not, write to the Free Software               */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*                                                                            */
/******************************************************************************/


typedef struct {
	uint32_t *pos;
	uint32_t *punused;
	int32_t level;
	uint32_t modulo;
} block_bitbuffer;

typedef struct {
	uint32_t *data;
	uint32_t *pos;
} MB_VLC32buffer;


void init_bitbuffer_encode( block_bitbuffer *blk_bb, MB_VLC32buffer *MB_VLC32b, uint32_t *MB_VLC32data, int VLC32dataSize, uint8_t *DIF_block );
extern "C" void putbits( block_bitbuffer *blk_bb, MB_VLC32buffer *MB_VLC32b, const uint32_t code, const uint32_t length);
int movebits( block_bitbuffer *blk_bb, MB_VLC32buffer *MB_VLC32b );

void init_bitbuffer_decode( block_bitbuffer *blk_bb, uint8_t *DIF_block );
int getbit( block_bitbuffer *blk_bb );



